Openhab not started after Upgrade 2.4 to 2.5

Tags: #<Tag:0x00007f616f31ee30> #<Tag:0x00007f616f31eac0> #<Tag:0x00007f616f31e9a8>
  • Platform information:
    • Hardware: Raspi 3/4
    • OS: openhabian and raspbian (newest Version)
    • openHAB version: 2.4 to 2.5

Hey i upgraded my openhab version from 2.4 to 2.5. Now i cannot start my openhab any more.
When i make a downgrade to 2.4 again everything is working.
i tried it with raspbian on a raspi 4 and with openhabian with a raspi 3. i get the following error in the openhab.log

2020-05-23 09:38:03.116 [ERROR] [org.apache.felix.scr ] - bundle org.apache.felix.scr:2.1.16 (43)Error while loading components of bundle org.openhab.core:2.5.0 (133)
java.lang.ClassCastException: java.lang.String cannot be cast to java.lang.Long
at org.apache.felix.cm.impl.ConfigurationImpl.configure(ConfigurationImpl.java:659) ~[?:?]
at org.apache.felix.cm.impl.ConfigurationImpl.configureFromPersistence(ConfigurationImpl.java:619) ~[?:?]
at org.apache.felix.cm.impl.ConfigurationImpl.(ConfigurationImpl.java:194) ~[?:?]
at org.apache.felix.cm.impl.ConfigurationManager.listConfigurations(ConfigurationManager.java:552) ~[?:?]
at org.apache.felix.cm.impl.ConfigurationAdminImpl.listConfigurations(ConfigurationAdminImpl.java:190) ~[?:?]
at org.apache.felix.scr.impl.manager.RegionConfigurationSupport.findConfigurations(RegionConfigurationSupport.java:655) ~[?:?]
at org.apache.felix.scr.impl.manager.RegionConfigurationSupport.findSingletonConfiguration(RegionConfigurationSupport.java:554) ~[?:?]
at org.apache.felix.scr.impl.manager.RegionConfigurationSupport.configureComponentHolder(RegionConfigurationSupport.java:199) ~[?:?]
at org.apache.felix.scr.impl.BundleComponentActivator.setRegionConfigurationSupport(BundleComponentActivator.java:763) ~[?:?]
at org.apache.felix.scr.impl.helper.ConfigAdminTracker$1.addingService(ConfigAdminTracker.java:69) ~[?:?]
at org.apache.felix.scr.impl.helper.ConfigAdminTracker$1.addingService(ConfigAdminTracker.java:41) ~[?:?]
at org.osgi.util.tracker.ServiceTracker$Tracked.customizerAdding(ServiceTracker.java:941) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.ServiceTracker$Tracked.customizerAdding(ServiceTracker.java:870) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.AbstractTracked.trackAdding(AbstractTracked.java:256) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.AbstractTracked.trackInitial(AbstractTracked.java:183) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.java:318) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.java:261) ~[osgi.core-6.0.0.jar:?]
at org.apache.felix.scr.impl.helper.ConfigAdminTracker.(ConfigAdminTracker.java:86) ~[?:?]
at org.apache.felix.scr.impl.BundleComponentActivator.(BundleComponentActivator.java:275) ~[?:?]
at org.apache.felix.scr.impl.Activator.loadComponents(Activator.java:380) ~[?:?]
at org.apache.felix.scr.impl.Activator.access$200(Activator.java:49) ~[?:?]
at org.apache.felix.scr.impl.Activator$ScrExtension.start(Activator.java:264) ~[?:?]
at org.apache.felix.scr.impl.AbstractExtender.createExtension(AbstractExtender.java:196) ~[?:?]
at org.apache.felix.scr.impl.AbstractExtender.modifiedBundle(AbstractExtender.java:169) ~[?:?]
at org.apache.felix.scr.impl.AbstractExtender.modifiedBundle(AbstractExtender.java:49) ~[?:?]
at org.osgi.util.tracker.BundleTracker$Tracked.customizerModified(BundleTracker.java:482) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.BundleTracker$Tracked.customizerModified(BundleTracker.java:415) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.AbstractTracked.track(AbstractTracked.java:232) ~[osgi.core-6.0.0.jar:?]
at org.osgi.util.tracker.BundleTracker$Tracked.bundleChanged(BundleTracker.java:444) ~[osgi.core-6.0.0.jar:?]
at org.eclipse.osgi.internal.framework.BundleContextImpl.dispatchEvent(BundleContextImpl.java:908) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.internal.framework.EquinoxEventPublisher.publishBundleEventPrivileged(EquinoxEventPublisher.java:213) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.internal.framework.EquinoxEventPublisher.publishBundleEvent(EquinoxEventPublisher.java:120) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.internal.framework.EquinoxEventPublisher.publishBundleEvent(EquinoxEventPublisher.java:112) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.internal.framework.EquinoxContainerAdaptor.publishModuleEvent(EquinoxContainerAdaptor.java:168) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.container.Module.publishEvent(Module.java:476) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.container.Module.start(Module.java:467) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.internal.framework.EquinoxBundle.start(EquinoxBundle.java:383) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.eclipse.osgi.internal.framework.EquinoxBundle.start(EquinoxBundle.java:402) ~[org.eclipse.osgi-3.12.100.jar:?]
at org.apache.karaf.features.internal.service.BundleInstallSupportImpl.startBundle(BundleInstallSupportImpl.java:165) ~[?:?]
at org.apache.karaf.features.internal.service.FeaturesServiceImpl.startBundle(FeaturesServiceImpl.java:1153) ~[?:?]
at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:1036) ~[?:?]
at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1062) ~[?:?]
at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:998) ~[?:?]
at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_252]
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_252]
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_252]
at java.lang.Thread.run(Thread.java:748) [?:1.8.0_252]

Welcome Florian :slight_smile:
There were some breaking changes between 2.4 and 2.5. You may want to have a close look at the release notes:
https://github.com/openhab/openhab-distro/releases/tag/2.5.0

1 Like

Do you have any manually installed addons? Try removing them first and uninstalling restdocs if you have it installed.
restdocs can be reinstalled after the upgrade but its path changed.

no i have no manually installed addons … now i have uninstall a few of addons like mqtt, zwave, … restdocs is also uninstalled

but i get no frontend of openhab, no paperui no basicui nothing

Try clearing the cache & restarting openHAB. Some have restarted up to 3 times. After my last upgrade my text files were not read correctly until after a restart.

@Overwatch check this thread ( Errors during startup after upgrading to 2.5.0.1 ) especially this post ( Errors during startup after upgrading to 2.5.0.1 )according to the error message it seems to talk about the same problem.

2 Likes